[Apache] WAMP हरे रंग की बारी नहीं होगी और VCRUNTIME140.dll त्रुटि


Answers

एकदम आसानी से:

  1. स्थापना रद्द करें wampserver
  2. दृश्य स्टूडियो 2015 के लिए विजुअल C ++ पुनर्वितरण स्थापित करें
  3. स्थापित करें wampserver
Question

WAMP हरे रंग की बारी नहीं होगी यह कुछ हफ़्ते पहले ठीक काम कर रहा था। इस विषय पर अन्य जवाबों को देखते हुए, बहुत कुछ ने अपाचे में सेवाओं को स्थापित करने के लिए कहा

जब मैं यह करता हूं, मुझे एक त्रुटि कोड मिलता है:

"प्रोग्राम शुरू नहीं किया जा सकता क्योंकि VCRUNTIME140.dll आपके कंप्यूटर से गुम है। समस्या को ठीक करने के लिए प्रोग्राम को पुन: इंस्टॉल करने का प्रयास करें।"




चूंकि आपके पास पहले से ही WAMP का चल संस्करण है और यह काम करना बंद कर दिया है, संभवतः आपके पास VCRUNTIME140.dll पहले से ही स्थापित है। उस स्तिथि में:

  1. खुले कार्यक्रम और सुविधाएँ
  2. संबंधित Microsoft Visual C ++ 20xx Redistributable इंस्टॉलर पर राइट-क्लिक करें और "बदलें" चुनें
  3. चुनें "मरम्मत" यह दोनों x 86 और x64 के लिए करें

यह मेरे लिए चाल थी




VCRUNTIME140.dll त्रुटि

इस त्रुटि का अर्थ है कि आपके पास आपके कंप्यूटर में स्थापित Visual C ++ पैकेज की आवश्यकता नहीं है। यदि आपने wampserver स्थापित किया है, तो सबसे पहले wampserver की स्थापना रद्द करें

वीसी पैकेज डाउनलोड करें

इन सभी वीसी पैकेज डाउनलोड करें और उनमें से सभी को स्थापित करें। आपको 64 बिट और 32 बिट संस्करण दोनों को स्थापित करना चाहिए।

- वीसी 9 पैकेज (विजुअल सी ++ 2008 एसपी 1) -
http://www.microsoft.com/en-us/download/details.aspx?id=5582
http://www.microsoft.com/en-us/download/details.aspx?id=2092

- वीसी 10 पैकेज (विजुअल सी ++ 2010 एसपी 1) -
http://www.microsoft.com/en-us/download/details.aspx?id=8328
http://www.microsoft.com/en-us/download/details.aspx?id=13523

- वीसी 11 पैकेज (विज़ुअल सी ++ 2012 अपडेट 4) -
डाउनलोड करने के लिए दो फाइलें वीएसयू 4 \ vcredist_x86.exe और VSU4 \ vcredist_x64.exe एक ही पृष्ठ पर हैं
http://www.microsoft.com/en-us/download/details.aspx?id=30679

- वीसी 13 पैकेज] (विज़ुअल सी ++ 2013) -
डाउनलोड करने के लिए दो फाइलें वीएसयू 4 \ vcredist_x86.exe और VSU4 \ vcredist_x64.exe एक ही पृष्ठ पर हैं
https://www.microsoft.com/en-us/download/details.aspx?id=40784

- वीसी 14 पैकेज (विज़ुअल सी + 2015) -
दो फाइलें vcredist_x86.exe और vcredist_x64.exe डाउनलोड करने के लिए एक ही पृष्ठ पर हैं
http://www.microsoft.com/en-us/download/details.aspx?id=48145

व्यवस्थापक priviliges के साथ संकुल स्थापित करें
राइट क्लिक-> प्रशासक के रूप में चलाएं

फिर से wampserver स्थापित करें
आप वीसी पैकेज के 64 बिट और 32 बिट संस्करण दोनों को स्थापित करने के बाद फिर से wampserver स्थापित करें